BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T > Interface Template Reference
Inheritance diagram for BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >:

## Public Member Functions
Task< T?> | GetByIdAsync (S id)
Task< IReadOnlyList< T > > | GetAllAsync ()
Task< T > | AddAsync (T entity)
Task< T > | UpdateAsync (T entity)
Task | DeleteAsync (T entity)

## Member Function Documentation

## ◆ AddAsync()

Task< T > BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.AddAsync | ( | T | entity | ) |

Implemented in BMA.EHR.Application.Repositories.GenericRepository< S, T >, and BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< S, T >.

## ◆ DeleteAsync()

Task BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.DeleteAsync | ( | T | entity | ) |

Implemented in BMA.EHR.Application.Repositories.GenericRepository< S, T >, and BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< S, T >.

## ◆ GetAllAsync()

Task< IReadOnlyList< T > > BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.GetAllAsync | ( |  | ) |

Implemented in BMA.EHR.Application.Repositories.GenericRepository< S, T >, and BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< S, T >.

## ◆ GetByIdAsync()

Task< T?> BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.GetByIdAsync | ( | S | id | ) |

Implemented in BMA.EHR.Application.Repositories.GenericRepository< S, T >, and BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< S, T >.

## ◆ UpdateAsync()

Task< T > BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.UpdateAsync | ( | T | entity | ) |

Implemented in BMA.EHR.Application.Repositories.GenericRepository< S, T >, and BMA.EHR.Application.Repositories.Leaves.GenericLeaveRepository< S, T >.

The documentation for this interface was generated from the following file:

- BMA.EHR.Application/Common/Interfaces/IGenericRepository.cs